POST api/Slider/SaveSlider
Slider ekleme.
Request Information
URI Parameters
None.
Body Parameters
api_slider_model| Name | Description | Type | Additional information |
|---|---|---|---|
| slider_id | integer |
None. |
|
| title | string |
None. |
|
| description | string |
None. |
|
| link_url | string |
None. |
|
| image_id | integer |
None. |
|
| order | integer |
None. |
|
| is_passive | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"slider_id": 1,
"title": "sample string 2",
"description": "sample string 3",
"link_url": "sample string 4",
"image_id": 5,
"order": 6,
"is_passive": true
}
application/xml, text/xml
Sample:
<api_slider_model xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ENTITY.API"> <description>sample string 3</description> <image_id>5</image_id> <is_passive>true</is_passive> <link_url>sample string 4</link_url> <order>6</order> <slider_id>1</slider_id> <title>sample string 2</title> </api_slider_model>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
entity_result| Name | Description | Type | Additional information |
|---|---|---|---|
| status_code | string |
None. |
|
| status | boolean |
None. |
|
| title | string |
None. |
|
| message | string |
None. |
|
| data | Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"status_code": "sample string 1",
"status": true,
"title": "sample string 3",
"message": "sample string 4",
"data": {}
}
application/xml, text/xml
Sample:
<entity_result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ENTITY.RESULT_MODELS"> <data /> <message>sample string 4</message> <status>true</status> <status_code>sample string 1</status_code> <title>sample string 3</title> </entity_result>